---
title: "Report a document"
description: "Flags a document for abuse."
canonical_url: https://docs.markdrop.in/api/documents/report-a-document
last_updated: 2026-10-30
site: "Markdrop Docs"
index: https://docs.markdrop.in/llms.txt
---

# Report a document

`POST https://api.markdrop.in/api/v1/documents/{slug}/report`

Flags a document for abuse. Always answers `202`, whether or not the address exists.

- **Authentication:** No token needed.
- **Rate limit:** 5 per minute per IP address.

## Path parameters

- `slug` (string, required): The document's address: the part after `markdrop.in/`.

## Request body

`application/json`, required.

- `reason` (string): Up to 500 characters.

## Responses

- `202`: Accepted.
- `422`: The request didn't validate. `detail` lists each problem, with where it is (`loc`) and why (`msg`).
- `429`: Too many requests from your IP address. Wait the seconds in `Retry-After`.

## Examples

**curl**

```bash
curl -X POST https://api.markdrop.in/api/v1/documents/k3x9q2m/report \
  -H "Content-Type: application/json" \
  -d '{"reason":"Phishing page"}'
```

**JavaScript**

```javascript
const res = await fetch("https://api.markdrop.in/api/v1/documents/k3x9q2m/report", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "reason": "Phishing page"
  }),
});
const data = await res.json();
```

**Python**

```python
import requests

r = requests.post(
    "https://api.markdrop.in/api/v1/documents/k3x9q2m/report",
    json={"reason": "Phishing page"},
)
r.raise_for_status()
print(r.json())
```
